Subject: bug#30544: 26.0.91; ansi-term duplicates 2 line zsh prompts any time windows change (maybe other times)

From: Aaron Jensen <[email-masked]>
Date: Wed, 14 Mar 2018 19:41:04 -0700

On Wed, Mar 14, 2018 at 6:42 PM, Noam Postavsky <[email-masked]> wrote:
> Not sure if I'm missing some zsh context here, but when I do that, I see
> literal "lineup" and "linedown" at the right.

Odd, not sure.

> If do instead
>
> PROMPT=$'one\ntwo'
> RPROMPT=$'%{\e[1A%}%*%{\e[1B%}'
>
> Then I get the current time on right, and still no prompt duplication
> when resizing urxvt.

Ok, perhaps there's a bug in iterm2's handling as well :) Either way,
seems that it's possible to resize w/o the unnecessary line drawing,
so now we just need to figure out what the problem in term.el is...